Page MenuHomePhabricator

Request creation of antiharassment VPS project
Closed, ResolvedPublic

Description

Project Name: antiharassment

Subdomain thegoodplace.wmflabs.org

Wikitech Usernames of requestors: @dbarratt @dmaza @aezell

Purpose: Creating a dev environment for Product & Design patch-level testing of new features to MediaWiki from Anti-Harassment.

Brief description: We would like to create a MediaWiki instance that we can put patches on before they are merged on Gerrit. This will allow Product & Design to participate in the pre-commit testing process and reduce the feedback loop within our team. We plan to run MediaWiki (as well as a database server) within a Docker container (and any other services needed for testing).

How soon you are hoping this can be fulfilled: this month

Event Timeline

dbarratt created this task.Aug 23 2018, 9:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2018, 9:28 PM
Krenair added a subscriber: Krenair.EditedAug 23 2018, 9:51 PM

We'll need Docker, Docker Compose, and Git installed, or I can do this myself if I have root access. :) We plan to run MediaWiki (as well as a database server) within a Docker container (and any other services needed for testing).

This is the form for a project creation. When it's done, you still won't have an instance until you make one. Inside a project where you are an admin, you may create instances. When you do, each of the project's members will have full sudo rights inside it by default.

The name comes from The Good Place, which if you have seen the show, is a fitting name for the work we are doing (if you haven't, I wont spoil it for you). This also seemed like something more fun than "aht" or it's derivatives. :)

For fun, sure, but this is serious. The name will be used in several places, and, beyond the obvious problem of it not being descriptive of what the project is actually for, I'd suggest that WMF Legal would need to sign off on this one if you really, really want to use it.

dbarratt added a comment.EditedAug 23 2018, 10:00 PM

This is the form for a project creation. When it's done, you still won't have an instance until you make one. Inside a project where you are an admin, you may create instances. When you do, each of the project's members will have full sudo rights inside it by default.

Great!

For fun, sure, but this is serious. The name will be used in several places, and, beyond the obvious problem of it not being descriptive of what the project is actually for, I'd suggest that WMF Legal would need to sign off on this one if you really, really want to use it.

Eh, I don't take things too seriously or we'll all go nuts. If it's an unacceptable name then I suppose antiharassment or aht would also be acceptable (though, to be fair, equally ambiguous). I don't think it's the first time humor has been used in naming. If it's an acceptable name, then sure I can ask WMF Legal about it (though, I doubt it would be a problem, as I don't think anyone would get the show and the test wiki confused).

Really though, I'm just looking for the HTTP domain name to be thegoodplace.wmflabs.org I couldn't care less what the project is called. :)

dbarratt updated the task description. (Show Details)Aug 27 2018, 1:39 PM
Harej added a subscriber: Harej.Aug 28 2018, 3:41 PM

Really though, I'm just looking for the HTTP domain name to be thegoodplace.wmflabs.org I couldn't care less what the project is called. :)

Irrespective of what the project is called you can create subdomains. I would recommend a clear descriptive project name regardless of what subdomain you use but I don't feel strongly one way or the other.

dbarratt renamed this task from Request creation of thegoodplace VPS project to Request creation of antiharassmenttools VPS project.Aug 28 2018, 3:44 PM
dbarratt updated the task description. (Show Details)
Andrew added a subscriber: Andrew.Aug 28 2018, 3:44 PM

With the name 'antiharassment' this is approved. You can set up a web proxy with whatever http name you want :)

dbarratt renamed this task from Request creation of antiharassmenttools VPS project to Request creation of antiharassment VPS project.Aug 28 2018, 3:45 PM
dbarratt updated the task description. (Show Details)

With the name 'antiharassment' this is approved. You can set up a web proxy with whatever http name you want :)

Done. Updated the description.

I didn't know the subdomains were independent of the project name. Sorry for the confusion! :)

$ openstack project create --enable --description "MediaWiki feature testing for Anti-Harassment Tools team" antiharassment
+-------------+----------------------------------------------------------+
| Field       | Value                                                    |
+-------------+----------------------------------------------------------+
| description | MediaWiki feature testing for Anti-Harassment Tools team |
| domain_id   | default                                                  |
| enabled     | True                                                     |
| id          | antiharassment                                           |
| is_domain   | False                                                    |
| name        | antiharassment                                           |
| parent_id   | default                                                  |
+-------------+----------------------------------------------------------+
$ openstack role add --user dbarratt --project antiharassment projectadmin
$ openstack role add --user dmaza --project antiharassment projectadmin
$ openstack role add --user aezell --project antiharassment projectadmin
$ openstack role assignment list --project antiharassment --names
+--------------+----------------------+-------+------------------------+--------+-----------+
| Role         | User                 | Group | Project                | Domain | Inherited |
+--------------+----------------------+-------+------------------------+--------+-----------+
| projectadmin | Aezell@Default       |       | antiharassment@Default |        | False     |
| projectadmin | Dbarratt@Default     |       | antiharassment@Default |        | False     |
| projectadmin | Dmaza@Default        |       | antiharassment@Default |        | False     |
| projectadmin | novaadmin@Default    |       | antiharassment@Default |        | False     |
| user         | novaadmin@Default    |       | antiharassment@Default |        | False     |
| observer     | Novaobserver@Default |       | antiharassment@Default |        | False     |
+--------------+----------------------+-------+------------------------+--------+-----------+

Mentioned in SAL (#wikimedia-cloud) [2018-08-28T17:37:26Z] <bd808> Created project and set dbarratt, dmaza, and aezell as admins (T202675)

bd808 assigned this task to Andrew.Aug 28 2018, 5:39 PM

Like T202603: Request creation of graphql VPS project, we would like this project to be an early adopter of placing it's instances in the the eqiad1 region. @Andrew can assist with instance creation while we are in this testing stage where Horizon does not work for initial provisioning of the instances.

dbarratt added a comment.EditedAug 28 2018, 5:59 PM

Like T202603: Request creation of graphql VPS project, we would like this project to be an early adopter of placing it's instances in the the eqiad1 region. @Andrew can assist with instance creation while we are in this testing stage where Horizon does not work for initial provisioning of the instances.

Fantastic! @Andrew Would you mind provisioning a small instance (with stretch) for us?

@dbarratt: I apologize; one of the blockers for moving forward with the new region didn't get done this week and will now be delayed until mid-September. You should go ahead and use the self-serve Horizon interface to get set up in the 'eqiad' region in the meantime; we'll have to migrate you over like everyone else when things are ready.

Andrew closed this task as Resolved.Sep 3 2018, 5:31 PM
Bawolff added a subscriber: Bawolff.Sep 7 2018, 5:57 PM

The name comes from The Good Place, which if you have seen the show, is a fitting name for the work we are doing (if you haven't, I wont spoil it for you). This also seemed like something more fun than "aht" or it's derivatives. :)

I think you and me got something very different from the season 1 finale (or maybe I misunderstand the goals of the anti-harrasment team?)